import React, { CSSProperties } from "react";
import './css.less';
interface ICopyable {
    alwaysShow?: boolean;
    onCopy?: () => void;
}
export interface BigTextComponentProps {
    children: string;
    className?: string | number;
    showMore?: () => boolean;
    type?: 'ignore' | 'more';
    copyable?: boolean | ICopyable;
    style?: CSSProperties;
    tooltip?: any;
}
export default class BigText extends React.Component<BigTextComponentProps> {
    static defaultProps: {
        copyable: boolean;
        type: string;
    };
    className: string;
    copy: () => void;
    renderContent(): JSX.Element;
    render(): JSX.Element;
}
export {};
